Search

link to homepage

Institute for Advanced Simulation (IAS)

Navigation and service


Does ParaStation-MPI support MPI_THREAD_MULTIPLE?

The default version of ParaStation-MPI installed on JUROPA/HPC-FF does not support MPI_THREAD_MULTIPLE, i.e. it is not possible that multiple threads may call MPI, with no restriction. This functionality is given by a special version of ParaStation-MPI that can be used through the invokation of the corresponding module:

  1. module load parastation/intel-mt (supports MPI_THREAD_MULTIPLE together with the Intel compiler)
  2. module load parastation/gcc-mt (supports MPI_THREAD_MULTIPLE together with GCC)

In order to avoid conflicts, ensure that at the relevant time only one MPI version is loaded.


Servicemeu

Homepage